Description

In QGIS 1.8.0-2 for MacOS X from KyngChaos, aliases don't get resolved in the layer creation file browser when creating new layers. If

the alias is a directory, it is treated as a file instead of a directory.

Steps to reproduce: 

(A) Menu Layer => New => New shapefile browser... 

(B) then try to browse through an existing alias, you can't, it's considered as a file instead of an alias.

This bug doesn't occur when opening or saving a QGIS Project. It doesn't happen either when adding an existing layers to a Project.

Thanks - Alex

History

#1 - 2012-08-01 12:41 PM - Larry Shaffer

- File new-shapefile_symlink.png added

Alexandre,

The New Shapefile Layer... action uses a subclassed QFileDialog, and shows a Qt, instead of Mac OS X native, save file dialog. This means Mac alias

files will not be resolved. However, symbolic links will be and can be used instead of aliases. Check 'man ln' in Terminal.app for more info (e.g., ln -s

src_file_or_dir symlink).

Note: while symlinks will be followed in that dialog, the symlink will also be part of the path saved in the QGIS project file (not the original, resolved path).

So, you will have to maintain the symlink and not move it, or your paths to data source will break.

The Open Project... dialog is a native OS X dialog, so it has no issues with Mac alias files.

There are currently inconsistencies with dialogs of this nature in 1.8.0 and will not be fixed until next full version. You can use the workaround provided in

the meantime, but please keep this issue open so that it can be referenced in the upcoming GUI changes. Thanks.

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-13 02:59 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

do you still have this bug with the latest QGIS version (2.12.1) ?

#5 - 2015-12-15 05:54 PM - Alexandre Leroux

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Bonjour Médéric,

I'm closing the ticket. I confirm aliases are now properly handled with latest QGIS. Thanks -- Alex / Satri
